#!/bin/sh

if [[ ! -z "$(git status --porcelain --ignore-submodules -unormal)" ]]; then
        echo "[bot] commit dirty changes"
        git commit -m "bot update" -a
fi
if [[ "$(git rev-list --left-right --count HEAD...@'{u}' | cut -f2 )" != "0" ]]; then
        echo "[bot] fetch current version"
        git pull --rebase
fi
if [[ "$(git rev-list --left-right --count HEAD...@'{u}' | cut -f1 )" != "0" ]]; then
        echo "[bot] push commits"
        git remote | xargs -L1 git push --all
fi